CacheFIFO (Jakarta-ORO 2.0.8 API)
Keywords: org.apache.oro.util.CacheFIFO class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.oro.util
Class CacheFIFO

    java.lang.Object
      org.apache.oro.util.GenericCache
          org.apache.oro.util.CacheFIFO

All Implemented Interfaces:
  Cache, java.io.Serializable

public final class CacheFIFO
extends GenericCache

This class is a GenericCache subclass implementing a FIFO (First In First Out) cache replacement policy. In other words, values are added to the cache until the cache becomes full. Once the cache is full, if a new pattern is added to the cache, it replaces the first of the current patterns in the cache to have been added.

Since:
  1.0
Version:
  2.0.8
See Also:
  `GenericCache`, Serialized Form

Field Summary

Fields inherited from class org.apache.oro.util.GenericCache
`DEFAULT_CAPACITY`

Constructor Summary
`CacheFIFO()` Same as:
`CacheFIFO(int capacity)` Creates a CacheFIFO instance with a given cache capacity.

Method Summary
`void` | `addElement(java.lang.Object key, java.lang.Object value)` Adds a value to the cache.

Methods inherited from class org.apache.oro.util.GenericCache
`capacity, getElement, isFull, keys, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheFIFO

    public CacheFIFO(int capacity)

  Creates a CacheFIFO instance with a given cache capacity.

Parameters:
  `capacity` - The capacity of the cache.

### CacheFIFO

    public CacheFIFO()

  Same as:

  >      CacheFIFO(GenericCache.DEFAULT_CAPACITY);

Method Detail

### addElement

    public final void addElement(java.lang.Object key,
                                 java.lang.Object value)

  Adds a value to the cache. If the cache is full, when a new value is added to the cache, it replaces the first of the current values in the cache to have been added (i.e., FIFO).

  Specified by:
    `addElement` in interface `Cache`
  Specified by:
    `addElement` in class `GenericCache`
  Parameters:
    `key` - The key referencing the value added to the cache.
    `value` - The value to add to the cache.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.